namespace _2023._09._18;

class Program
{

    public static class GlobalData
    {
        public static int[] szamok = new int[100];
    }

    static void Feladat1()
    {
        Random rnd = new Random();
        int szam;

        for (int i = 0; i < GlobalData.szamok.Length; i++)
        {
            szam = rnd.Next(1, 501);
            GlobalData.szamok[i] = szam;
        }
    }

    static void Osszeg()
    {
        int osszeg = 0;


        foreach (int n in GlobalData.szamok)
        {
            osszeg += n;
        }

        System.Console.WriteLine($"A tömb eleminek összege: {osszeg}.");
    }

    static void Eldontes()
    {
        bool van100 = false;

        foreach(int n in GlobalData.szamok)
        {
            if (n == 100)
            {
                van100 = true;
            }
        }

        if (van100)
        {
            System.Console.WriteLine($"Van 100.");
        }

        else
        {
            System.Console.WriteLine($"Nincs 100.");
        }
    }

    static void MaxMin()
    {
        int max = GlobalData.szamok[0];
        foreach(int n in GlobalData.szamok)
        {
            if (n > max)
            {
                max = n;
            }
        }

        System.Console.WriteLine($"A legnagyobb szám: {max}.");

        int min = GlobalData.szamok[0];
        foreach(int n in GlobalData.szamok)
        {
            if (n < max)
            {
                min = n;
            }
        }

        System.Console.WriteLine($"A legkisebb szám: {min}.");
    }

    static void Kivalogatas()
    {
        foreach (int n in GlobalData.szamok)
        {
            if (n < 250)
            {
                System.Console.Write($"{n}, ");
            }
        }
    }

    static void Egyszeru()
    {
        int szam = GlobalData.szamok[0];
        int indexn;
        int indexszam;
        int index = 0;

        foreach (int n in GlobalData.szamok)
        {

            if (n < szam)
            {
                indexn = Array.IndexOf(GlobalData.szamok, n);
                indexszam = Array.IndexOf(GlobalData.szamok, szam);

                GlobalData.szamok[indexszam] = n;
                GlobalData.szamok[indexn] = szam;

            }
        }
        
        foreach (int m in GlobalData.szamok)
        {
            System.Console.Write($"{m}, ");
        }

        System.Console.WriteLine($"Kaka: {GlobalData.szamok.Min()}");
    }

    static void Main(string[] args)
    {
        Feladat1();
        // Osszeg();
        // Eldontes();
        // MaxMin();
        // Kivalogatas();
        Egyszeru();
    }
}
